rte_bbdev_info(3)

NAME
rte_bbdev_info

SYNOPSIS

#include <rte_bbdev.h>

  Data Fields

int socket_id
const char * dev_name
const struct rte_device * device
uint16_t num_queues
bool started
struct rte_bbdev_driver_info drv

Detailed Description

Device information structure used by an application to discover a devices capabilities and current configuration

Definition at line 373 of file rte_bbdev.h.

Field Documentation

  int socket_id
NUMA socket that device is on

Definition at line 374 of file rte_bbdev.h.

  const char* dev_name
Unique device name

Definition at line 375 of file rte_bbdev.h.

  const struct rte_device* device
Device Information

Definition at line 376 of file rte_bbdev.h.

  uint16_t num_queues
Number of queues currently configured

Definition at line 377 of file rte_bbdev.h.

  bool started
Set if device is currently started

Definition at line 378 of file rte_bbdev.h.

  struct rte_bbdev_driver_info drv
Info from device driver

Definition at line 379 of file rte_bbdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.